API documentation

Reports

Create, read, update and delete report resources through the REST API.

Notes
Expert level
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
GET https://seopro.ooguy.com/api/v1/reports

List reports

Returns a paginated list of the authenticated user's reports.

bash
curl --location --request GET 'https://seopro.ooguy.com/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Query parameters

Parameter Type Description
search
optional string
Search query.
search_by
optional string
Search by. Possible values are: url for URL. Defaults to: url.
project
optional string
Project name
result
optional string
The report result. Possible values are: good for Good, decent for Decent, bad for Bad.
sort_by
optional string
Sort by. Possible values are: id for Date created, generated_at for Date generated, url for URL, score for Score. Defaults to: id.
sort
optional string
Sort. Possible values are: desc for Descending, asc for Ascending. Defaults to: desc.
per_page
optional integer
Results per page. Possible values are: 10, 25, 50, 100. Defaults to: 10.
GET https://seopro.ooguy.com/api/v1/reports/{id}

Show report

Returns a single report by {id} identifier.

bash
curl --location --request GET 'https://seopro.ooguy.com/api/v1/reports/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
POST https://seopro.ooguy.com/api/v1/reports

Create report

Creates a new report for the given URL.

bash
curl --location --request POST 'https://seopro.ooguy.com/api/v1/reports' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'url={url}'

Body parameters

Parameter Type Description
url
required string
The webpage's URL.
privacy
optional integer
Report page privacy. Possible values are: 0 for Public, 1 for Private, 2 for Password. Defaults to: 0.
password
optional string
The password for the report page. Only works with privacy field set to 2.
PUT https://seopro.ooguy.com/api/v1/reports/{id}

Update report

Updates an existing report identified by {id}.

bash
curl --location --request PUT 'https://seopro.ooguy.com/api/v1/reports/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'

Body parameters

Parameter Type Description
privacy
optional integer
Report page privacy. Possible values are: 0 for Public, 1 for Private, 2 for Password.
password
optional string
The password for the report page. Only works with privacy field set to 2.
update
optional integer
Update. Possible values are: 0 for No, 1 for Yes. Defaults to: 0.
DELETE https://seopro.ooguy.com/api/v1/reports/{id}

Delete report

Deletes a single report by {id} identifier.

bash
curl --location --request DELETE 'https://seopro.ooguy.com/api/v1/reports/{id}' \
--header 'Authorization: Bearer {api_key}'